#
# spec file for package golang
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global provider        github
%global provider_tld    com
%global project         kr
%global repo            text
%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}
%global import_path     %{provider_prefix}

Name:           golang-%{provider}-%{project}-%{repo}
Version:        0.0.0+git20160504.7cafcd8
Release:        3.1
Summary:        Miscellaneous functions for formatting text
License:        MIT
Group:          Development/Languages/Golang
Url:            https://%{provider_prefix}
Source0:        %{repo}-%{version}.tar.xz
Source1:        rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  golang-packaging
BuildRequires:  xz

%{go_nostrip}
%{go_provides}

%description
This is a Go package for manipulating paragraphs of text.

%prep
%setup -q -n %{repo}-%{version}

# do not install the mc and agg binary
rm -rf mc cmd/agg

%build
%goprep %{import_path}
%gobuild ...

%install
%goinstall
%gosrc
%gofilelist

%check
%gotest %{import_path}...

%files -f file.lst
%defattr(-,root,root,-)
%doc Readme License

%changelog
* Thu Dec  8 2016 tboerger@suse.com
- Update to version 0.0.0+git20160504.7cafcd8:
  * handle unicode input correctly
  * add license (from plan 9 from user space)
  * open only one file at a time
  * indent writer
  * refactor
  * properly track prefix bytes written
  * relicense whole repo under MIT
  * Run 'gofmt -w -s' on sources
  * text: fix infinite loop in Wrap
  * cmd/agg: new command
* Thu Dec  8 2016 tboerger@suse.com
- Refactoring based on new packaging proposal
* Sun Jul 12 2015 i@marguerite.su
- rename to golang-github-kr-text
- update version 0.0.0+git20150520.e373e13
- use golang-packaging for packaging
* Thu Mar 12 2015 i@marguerite.su
- update version 0.0.0+git20130910.6807e77
  * no changelog
* Fri Sep 19 2014 i@marguerite.su
- initial version 0.0.0+git20130910.6807e77
  * upstream has no version scheme so see git commits
- don't run tests, because it'll need github.com/kr/pty
  we don't want to import new dependencies.
